
Redmine - Defect #1644

Context menu overwritten by calender on MyPage

2008-07-15 04:30 - Davin Atkins

Status: Closed Start date: 2008-07-15

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.50 hour

Target version: 0.8   

Resolution: Fixed Affected version: 0.7.3

Description

In Firefox 3 and Internet Explorer 7, the Issue context menu is overwritten by anything text in the calender if it is positioned in the

way.

Caused by a conflict between application.css (at .tooltip and/or .tooltip:hover) and context_menu.css (at #context-menu li).

Recommended fix is to either lower z-index of .tooltip to a value below #context-menu li (leaving .tooltip:hover alone) or raise z-index

of #context-menu li to a value above .tooltip, and raise .tooltip:hover even higher.  Committer will need to determine which causes

fewest conflicts with existing z-index values.

Issue found in Redmine 0.7.3 - seems to still exist in HEAD.

Associated revisions

Revision 1671 - 2008-07-16 20:48 - Jean-Philippe Lang

Fixed: Context menu overwritten by calendar on My Page (#1644).

History

#1 - 2008-07-16 20:48 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.8

- Resolution set to Fixed

Indeed. Fixed in r1671.

Thanks for pointing out the problem.
